---
apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: allthatswing-wp
  namespace: managed
spec:
  parentRefs:
  - name: vip-240
    sectionName: main
    namespace: istio-system
  hostnames: ["allthatswing.agepoly.ch"]
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: allthatswing-wp
      port: 80